> For the complete documentation index, see [llms.txt](https://docs.insurgrid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.insurgrid.com/data-webhook-page/webhooks/data-format/homeowners/technical-reference.md).

# Technical Reference

## 📄 Homeowners Insurance Webhook (Technical Reference)

This page provides a detailed **field-by-field breakdown** of the Homeowners Insurance Webhook payload.

***

### Root Object

The webhook payload is a JSON object with the following top-level keys:

* `document_link`
* `policy`
* `property`
* `coverages`
* `discounts`
* `mortgagee`
* `exclusions`
* `surcharges`
* `deductibles`
* `endorsements`
* `loss_history`
* `policyholder`
* `prior_carrier`
* `available_options`
* `important_notices`
* `premium_breakdown`
* `additional_insured`
* `hazard_information`
* `billing_information`
* `insurer_information`
* `forms_and_endorsements`
* `inspection_information`
* `special_property_features`

***

### Policy Object

| Field                        | Type          | Description                       | Example                                  |
| ---------------------------- | ------------- | --------------------------------- | ---------------------------------------- |
| `provider`                   | string        | Insurance company name            | `"Travelers Personal Insurance Company"` |
| `policy_number`              | string        | Unique identifier of the policy   | `"612196357 633 1"`                      |
| `policy_type`                | string        | Type of insurance policy          | `"Homeowners"`                           |
| `policy_term`                | string        | Duration of policy coverage       | `"12 months"`                            |
| `coverage_period.start_date` | string (date) | Policy effective date             | `"2022-07-22"`                           |
| `coverage_period.end_date`   | string (date) | Policy expiration date            | `"2023-07-22"`                           |
| `annual_policy_premium`      | number        | Total premium for the policy term | `1363`                                   |
| `coverage_level`             | string        | Product/coverage level            | `"Travelers Protect Plus®"`              |

***

### Property Object

| Field             | Type   | Description                         | Example                   |
| ----------------- | ------ | ----------------------------------- | ------------------------- |
| `type`            | string | Property type                       | `"Single Family"`         |
| `location.street` | string | Street address                      | `"2429 ROBIN HOOD PL NE"` |
| `location.city`   | string | City                                | `"MARIETTA"`              |
| `location.state`  | string | State                               | `"GA"`                    |
| `location.zip`    | string | Postal code                         | `"30068-2240"`            |
| `year_built`      | number | Year property was built             | `1963`                    |
| `square_footage`  | number | Size of the property in square feet | `1504`                    |
| `roof_type`       | string | Type of roofing material            | `"Metal"`                 |

***

### Coverages Object

**Dwelling Coverage**

| Field        | Type   | Description       | Example  |
| ------------ | ------ | ----------------- | -------- |
| `limit`      | number | Coverage limit    | `333000` |
| `deductible` | number | Deductible amount | `1000`   |

**Personal Property**

| Field              | Type    | Description                    | Example  |
| ------------------ | ------- | ------------------------------ | -------- |
| `limit`            | number  | Coverage limit                 | `150000` |
| `deductible`       | number  | Deductible amount              | `1000`   |
| `replacement_cost` | boolean | Replacement cost coverage flag | `true`   |

**Personal Liability**

| Field   | Type   | Description              | Example  |
| ------- | ------ | ------------------------ | -------- |
| `limit` | number | Liability coverage limit | `500000` |

(Other coverage types follow the same format)

***

### Discounts Array

| Field         | Type   | Description                | Example          |
| ------------- | ------ | -------------------------- | ---------------- |
| `type`        | string | Discount type              | `"Multi-Policy"` |
| `description` | string | Explanation (if available) | `""`             |

***

### Mortgagee Object

| Field           | Type   | Description          | Example                                 |
| --------------- | ------ | -------------------- | --------------------------------------- |
| `name`          | string | Mortgage lender name | `"NATIONSTAR MORTGAGE LLC ISAOA/ATIMA"` |
| `loan_number`   | string | Loan identifier      | `"6870081281"`                          |
| `address.city`  | string | Mortgagee city       | `"SPRINGFIELD"`                         |
| `address.state` | string | Mortgagee state      | `"OH"`                                  |
| `address.zip`   | string | ZIP code             | `"45501-7729"`                          |

***

### Exclusions Array

| Field | Type   | Description   | Example          |
| ----- | ------ | ------------- | ---------------- |
| item  | string | Excluded risk | `"Flood damage"` |

***

### Deductibles Object

| Field        | Type   | Description                     | Example |
| ------------ | ------ | ------------------------------- | ------- |
| `all_peril`  | number | Standard deductible             | `1000`  |
| `hurricane`  | number | Deductible for hurricane damage | `0`     |
| `earthquake` | number | Deductible for earthquake       | `0`     |

***

### Policyholder Object

| Field            | Type   | Description              | Example                   |
| ---------------- | ------ | ------------------------ | ------------------------- |
| `name`           | string | Policyholder’s full name | `"CECILY SAPP"`           |
| `email`          | string | Email address            | `"CEESAPP@GMAIL.COM"`     |
| `address.street` | string | Street address           | `"2429 ROBIN HOOD PL NE"` |
| `address.city`   | string | City                     | `"MARIETTA"`              |
| `address.state`  | string | State code               | `"GA"`                    |
| `address.zip`    | string | Postal code              | `"30068-2240"`            |

***

### Insurer Information Object

| Field                    | Type   | Description             | Example                                  |
| ------------------------ | ------ | ----------------------- | ---------------------------------------- |
| `company_name`           | string | Name of the insurer     | `"Travelers Personal Insurance Company"` |
| `claims_phone`           | string | Claims reporting number | `"1.800.252.4633"`                       |
| `service_phone`          | string | Customer service number | `"1.800.842.5075"`                       |
| `company_address.street` | string | Company mailing address | `"PO BOX 2906"`                          |
| `company_address.city`   | string | City                    | `"HARTFORD"`                             |
| `company_address.state`  | string | State                   | `"CT"`                                   |
| `company_address.zip`    | string | Postal code             | `"06104-9900"`                           |

***

### Sample Payload

{% file src="/files/6YSubTcSkuH0gr1BosSh" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.insurgrid.com/data-webhook-page/webhooks/data-format/homeowners/technical-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
